LibreOffice LibreOffice 24.2 SDK API Reference

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
XEmbeddedObjectSupplier2 Interface Reference

represents something that provides an embedded object. More...

`import <XEmbeddedObjectSupplier2.idl;`

Inheritance diagram for XEmbeddedObjectSupplier2:

## Public Member Functions
com::sun::star::embed::XEmbeddedObject | getExtendedControlOverEmbeddedObject ()
| returns the object which is embedded into this object.
Public Member Functions inherited from XEmbeddedObjectSupplier
com::sun::star::lang::XComponent | getEmbeddedObject ()
| returns the object which is embedded into this object.
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.

## Public Attributes
hyper | Aspect
| allows to control the aspect of the object.
com::sun::star::graphic::XGraphic | ReplacementGraphic
| allows to get the replacement image of the object.

## Detailed Description

represents something that provides an embedded object.

## Member Function Documentation

## ◆ getExtendedControlOverEmbeddedObject()

com::sun::star::embed::XEmbeddedObject getExtendedControlOverEmbeddedObject | ( |  | ) |

returns the object which is embedded into this object.

This method does not return the model that is controlled by the embedded object, but the embedded object itself.

## Member Data Documentation

## ◆ Aspect

hyper Aspect
| attribute

allows to control the aspect of the object.

## ◆ ReplacementGraphic

com::sun::star::graphic::XGraphic ReplacementGraphic
| attribute readonly

allows to get the replacement image of the object.

The documentation for this interface was generated from the following file:

- com/sun/star/document/XEmbeddedObjectSupplier2.idl